package com.yonge.cooleshow.bbs.dto.search;

import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022-06-09 17:27:11
 */
@ApiModel(value = "BbsConfigLabelSearch对象", description = "论坛标签设置查询对象")
public class BbsConfigLabelSearch extends QueryInfo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("0:正常 1:删除")
    private Integer delFlag;

    @ApiModelProperty("标签id集合")
    @NotNull(message = "ids不能为空")
    @Size(min = 1, message = "ids不能为空")
    private List<Integer> ids;

    public List<Integer> getIds() {
        return ids;
    }

    public void setIds(List<Integer> ids) {
        this.ids = ids;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}